Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbpm.task.service
Enum Allowed

    java.lang.Object
      java.lang.Enum<Allowed>
          org.jbpm.task.service.Allowed

All Implemented Interfaces:
  Serializable, Comparable<Allowed>

    public enum Allowed

extends Enum<Allowed>

Enum Constant Summary
`Anyone`
`BusinessAdministrator`
`Initiator`
`Owner`
`PotentialOwner`

Method Summary
`static Allowed` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Allowed[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Owner

    public static final Allowed Owner

### Initiator

    public static final Allowed Initiator

### PotentialOwner

    public static final Allowed PotentialOwner

### BusinessAdministrator

    public static final Allowed BusinessAdministrator

### Anyone

    public static final Allowed Anyone

Method Detail

### values

    public static Allowed[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Allowed c : Allowed.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Allowed valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.